# Close an Account

Removes access to the Account and its associated resources.

## Request

```curl
curl -X POST https://api.stripe.com/v2/core/accounts/{{ACCOUNT_ID}}/close \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2025-06-30.preview" \
  --json '{
    "applied_configurations": [
        "merchant"
    ]
  }'
```

### Response

```json
{
  "id": "acct_1Nv0FGQ9RKHgCVdK",
  "object": "v2.core.account",
  "applied_configurations": [
    "merchant"
  ],
  "contact_email": "jenny.rosen@example.com",
  "created": "2024-11-26T16:33:03.000Z",
  "dashboard": "none",
  "display_name": "Jenny Rosen",
  "livemode": true,
  "metadata": {}
}
```

## Parameters

- `id` (string, required)
  The ID of the Account to close.

- `applied_configurations` (array of enums, optional)
  Configurations on the Account to be closed. All configurations on the Account must be passed in for this request to succeed.
Possible enum values:
  - `customer`
    The Account can be used as a customer.

  - `merchant`
    The Account can be used as a merchant.

  - `recipient`
    The Account can be used as a recipient.

  - `storer`
    The Account can be used as a storer.

## Returns

## Response attributes

- `id` (string)
  Unique identifier for the Account.

- `object` (string, value is "v2.core.account")
  String representing the object’s type. Objects of the same type share the same value of the object field.

- `applied_configurations` (array of enums)
  Filter only accounts that have all of the configurations specified. If omitted, returns all accounts regardless of which configurations they have.
Possible enum values:
  - `customer`
    The Account can be used as a customer.

  - `merchant`
    The Account can be used as a merchant.

  - `recipient`
    The Account can be used as a recipient.

  - `storer`
    The Account can be used as a storer.

- [`configuration`](https://docs.stripe.com/api/v2/core/accounts/close.md?query=configuration) (object, nullable)
  An Account Configuration which allows the Account to take on a key persona across Stripe products.

- `contact_email` (string, nullable)
  The default contact email address for the Account. Required when configuring the account as a merchant or recipient.

- `created` (timestamp)
  Time at which the object was created. Represented as a RFC 3339 date & time UTC value in millisecond precision, for example: 2022-09-18T13:22:18.123Z.

- `dashboard` (enum, nullable)
  A value indicating the Stripe dashboard this Account has access to. This will depend on which configurations are enabled for this account.
Possible enum values:
  - `express`
    The Account has access to the Express hosted dashboard.

  - `full`
    The Account has access to the full Stripe hosted dashboard.

  - `none`
    The Account does not have access to any Stripe hosted dashboard.

- [`defaults`](https://docs.stripe.com/api/v2/core/accounts/close.md?query=defaults) (object, nullable)
  Default values to be used on Account Configurations.

- `display_name` (string, nullable)
  A descriptive name for the Account. This name will be surfaced in the Stripe Dashboard and on any invoices sent to the Account.

- [`identity`](https://docs.stripe.com/api/v2/core/accounts/close.md?query=identity) (object, nullable)
  Information about the company, individual, and business represented by the Account.

- `livemode` (boolean)
  Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.

- `metadata` (map, nullable)
  Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

- [`requirements`](https://docs.stripe.com/api/v2/core/accounts/close.md?query=requirements) (object, nullable)
  Information about the requirements for the Account, including what information needs to be collected, and by when.

## Error Codes

| HTTP status code | Code | Description |
| --- | --- | --- |
| 400 | cannot_delete_account_with_balance | Account with Merchant or Recipient configuration with transfers feature cannot be closed because the account has a cash balance. |
| 400 | cannot_delete_customer_with_available_cash_balance | Account with Customer configuration cannot be closed because the customer has a cash balance. |
| 400 | configs_must_match_to_close | Account cannot be closed without specifying the right configurations. |
| 400 | pending_transactions_cannot_be_deleted | Account cannot be closed due to other pending resources. |
| 400 | platform_registration_required | Platform has not signed up for Connect and cannot create connected accounts. |
| 400 | stripe_loss_liable_cannot_be_deleted | Account with Stripe-owned loss liability and dashboard cannot be deleted. |
| 400 | v1_account_instead_of_v2_account | V1 Account ID cannot be used in V2 Account APIs. |
| 400 | v1_customer_instead_of_v2_account | V1 Customer ID cannot be used in V2 Account APIs. |
| 404 | not_found | The resource wasn’t found. |
